ALTER TABLE NOTIFICATION
ADD TOPIC_CODE VARCHAR2(3 CHAR);

DROP VIEW V_NOTIFICATION;

CREATE OR REPLACE VIEW V_NOTIFICATION
AS (
SELECT N.ID_NOTIFICATION, N.ID_LASTNIKA, N.RECEIVER, N.TOPIC_CODE, N.TITLE, N.CONTENT, N.STATUS, N.STATUS_MESSAGE, N.DATE_CREATED, N.USER_CREATED,
N.REFERENCE_ID, N.REFERENCE_TABLE, N.ID_NOTIFICATION_TEMPLATE, N.NNLOCATION_ID, 
NT.OPIS AS TOPIC_DESCRIPTION, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM NOTIFICATION N
LEFT OUTER JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
LEFT OUTER JOIN NNTOPIC NT ON N.TOPIC_CODE = NT.SIFRA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2252, SYSDATE, '5.5', 2172, 'Notification topic')
;